package com.logicbig.example;

import java.io.BufferedReader;
import java.io.InputStreamReader;

public class ExampleMain {
    public static void main(String[] args) {
        System.out.println("----- ExampleMain started -------");
        try (BufferedReader reader = new BufferedReader(new InputStreamReader(System.in))) {
            String line = null;
            while (true) {
                if ((line = reader.readLine()) != null) {
                    System.out.println("echo>> " + line);
                } else {
                    //input finishes
                    break;
                }
            }
        } catch (Exception e) {
            System.err.println(e);
        }
    }
}